summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Michales Michaloudes2010-05-12 23:31:41 +0200
committer Michiel van Wessem2010-05-12 23:31:41 +0200
commit8606ae40e17299517357963f0655adf227e8cf51 (patch)
tree9d344f9c7cd8a1a9ca3ad698979537ee5c7a61b6 /misc
parent5e7d4bd433113ccb5465436e2ae394ddaa405bd5 (diff)
downloadslackbuilds-8606ae40e17299517357963f0655adf227e8cf51.tar.gz
misc/kover: Added to 12.2 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/kover/README12
-rw-r--r--misc/kover/doinst.sh3
-rw-r--r--misc/kover/kover.SlackBuild72
-rw-r--r--misc/kover/kover.info8
-rw-r--r--misc/kover/slack-desc19
5 files changed, 114 insertions, 0 deletions
diff --git a/misc/kover/README b/misc/kover/README
new file mode 100644
index 0000000000..0357189168
--- /dev/null
+++ b/misc/kover/README
@@ -0,0 +1,12 @@
+Kover is an easy to use WYSIWYG CD cover printer with CDDB support.
+It features:
+
+* CDDB support via freedb.org
+* supports proxies with authentification (basic)
+* image embedding in inlet and booklet
+* should read files saved with Easy CD Pro 2.0
+* saves CDDB queries locally, and uses them next time the same CD is inserted.
+* print to file or printer (surprising?)
+* able to save and load with kover created covers
+* do CDDB query without the CD. Just enter the ID and category
+* able to read CD-TEXT
diff --git a/misc/kover/doinst.sh b/misc/kover/doinst.sh
new file mode 100644
index 0000000000..5013ef6d40
--- /dev/null
+++ b/misc/kover/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/misc/kover/kover.SlackBuild b/misc/kover/kover.SlackBuild
new file mode 100644
index 0000000000..e776bf4a6b
--- /dev/null
+++ b/misc/kover/kover.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+# Slackware build script for <kover>
+# Written by Michales Michaloudes korgie_erase_this@gmail.com
+
+# Exit on most errors
+set -e
+
+PRGNAM=kover
+VERSION=${VERSION:-3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "Piii" ]; then
+ SLKCFLAGS="-O2 -march=pentium3 -pipe -fomit-frame-pointer"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd $TMP/$PRGNAM-$VERSION/
+cp -a ABOUT-NLS NEWS THANKS AUTHORS COPYING ChangeLog INSTALL TODO README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/kover/kover.info b/misc/kover/kover.info
new file mode 100644
index 0000000000..fe7794f994
--- /dev/null
+++ b/misc/kover/kover.info
@@ -0,0 +1,8 @@
+PRGNAM="kover"
+VERSION="3"
+HOMEPAGE="http://lisas.de/kover/"
+DOWNLOAD="http://lisas.de/kover/kover-3.tar.bz2"
+MD5SUM="01aa845e566d273f3f187753fc88f155"
+MAINTAINER="Michales Michaloudes"
+EMAIL="korgie_erase_this@gmail.com"
+APPROVED="michiel"
diff --git a/misc/kover/slack-desc b/misc/kover/slack-desc
new file mode 100644
index 0000000000..6391310018
--- /dev/null
+++ b/misc/kover/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+kover: kover (a WYSIWYG CD Cover printer)
+kover:
+kover: kover is an easy to use WYSIWYG CD cover printer with CDDB support.
+kover:
+kover:
+kover:
+kover:
+kover:
+kover:
+kover:
+kover: